| Version: 3.2.8

Public Member Functions | List of all members
wxGridColumnHeaderRendererDefault Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridColumnHeaderRendererDefault:
[legend]

## Detailed Description

Default column header renderer.

See also
  wxGridRowHeaderRendererDefault, wxGridCornerHeaderRendererDefault

Since
  2.9.1

## Public Member Functions
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the column labels. More...
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...

## Member Function Documentation

## ◆ DrawBorder()

virtual void wxGridColumnHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect
| ) |  | const
| virtual

Implement border drawing for the column labels.

Implements wxGridHeaderLabelsRenderer.